using BPA.SAAS.Manage.Application.AExternalPlatform.Service.WarehouseTemplate.Dtos;
using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.AExternalPlatform.Service.WarehouseTemplate.Services
{
    public interface IWarehouseTemplateService
    {
        Task<PageUtil> GetWarehouseTemplatePage(WarehouseTemplateQueryDto inputDto);
        Task<List<WarehouseTemplateView>> GetWarehouseTemplateList(WarehouseDevideId dto);
        Task<bool> AddWarehouseTemplate(WarehouseTemplatInsertDto inputDto);
        Task<bool> UpdateWarehouseTemplate(WarehouseTemplatUpdateDto inputDto);
    }
}
